import { Injector as q } from "../../didi/dist/index.esm.mjs";
import _ from "./core/index.mjs";
function a(t) {
  var e = new q(t);
  return e.init(), e;
}
function u(t) {
  t = t || {};
  var e = {
    config: ["value", t]
  }, i = [e, _].concat(t.modules || []);
  return a(i);
}
function r(t, e) {
  this.injector = e = e || u(t), this.get = e.get, this.invoke = e.invoke, this.get("eventBus").fire("diagram.init");
}
r.prototype.destroy = function() {
  this.get("eventBus").fire("diagram.destroy");
};
r.prototype.clear = function() {
  this.get("eventBus").fire("diagram.clear");
};
export {
  r as default
};
